Crippen.h File Reference

Use MolDescriptors.h in client code. More...

`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::Descriptors::CrippenParams
| a class used to store Crippen parameters More...
class | RDKit::Descriptors::CrippenParamCollection
| singleton class for retrieving Crippen parameters More...

## Namespaces

| RDKit
| Std stuff.
| RDKit::Descriptors

## Functions

RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::getCrippenAtomContribs (const ROMol &mol, std::vector< double > &logpContribs, std::vector< double > &mrContribs, bool force=false, std::vector< unsigned int > *atomTypes=0, std::vector< std::string > *atomTypeLabels=0)
RDKIT_DESCRIPTORS_EXPORT void | RDKit::Descriptors::calcCrippenDescriptors (const ROMol &mol, double &logp, double &mr, bool includeHs=true, bool force=false)
| generate Wildman-Crippen LogP and MR estimates for a molecule More...
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcClogP (const ROMol &mol)
| calculate the default Wildman-Crippen LogP for a molecule More...
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcMR (const ROMol &mol)
| calculate the default Wildman-Crippen MR Estimate for a molecule More...

## Variables

const std::string | RDKit::Descriptors::crippenVersion = "1.2.0"
const std::string | RDKit::Descriptors::CrippenClogPVersion = crippenVersion
const std::string | RDKit::Descriptors::CrippenMRVersion = crippenVersion

## Detailed Description

Use MolDescriptors.h in client code.

Definition in file Crippen.h.